;;;; XLISP-STAT 2.1 Copyright (c) 1990, by Luke Tierney
;;;; Additions to Xlisp 2.1, Copyright (c) 1989 by David Michael Betz
;;;; You may give out copies of this software; for conditions see the file
;;;; COPYING included with this distribution.

;;;; This file is loaded as part of the standard system initialization. To
;;;; add something for autoloading, add the appropriate .lsp or .fsl file
;;;; to this directory and add an expression of the form
;;;;
;;;;    (autoload function-name "file-to-load")
;;;;
;;;; below.

(provide "autoload")

(defmacro autoload (name module)
  `(if (not (member ,module *modules* :test 'equal))
       (defun ,name (&rest args)
         (fmakunbound ',name)
	 (require (make-pathname :name ,module
				 :directory '(:relative "Autoload")))
	 (eval (cons ',name (mapcar #'(lambda (x) (list 'quote x)) args))))))
    
(autoload nreg-model "nonlin")
(autoload oneway-model "oneway")

(export '(xlisp::numgrad xlisp::numhess xlisp::newtonmax xlisp::nelmeadmax)
	"XLISP")

(autoload numgrad "maximize")
(autoload numhess "maximize")
(autoload newtonmax "maximize")
(autoload nelmeadmax "maximize")

(autoload bayes-model "bayes")
(autoload step "stepper")

(autoload compile "cmpload")
(autoload compile-file "cmpload")

(autoload normalreg-model "glim")
(autoload poissonreg-model "glim")
(autoload loglinreg-model "glim")
(autoload binomialreg-model "glim")
(autoload logitreg-model "glim")
(autoload probitreg-model "glim")
(autoload gammareg-model "glim")
(autoload indicators "glim")
(autoload cross-terms "glim")
(autoload level-names "glim")
(autoload cross-names "glim")
